import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import type { StoryObj, Meta } from '@storybook/react';
import NsProgress from './NsProgress';

type ComponentType = typeof NsProgress;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsProgress,
    title: 'Input/NsProgress',
    decorators: [withCenterDecorator],
    argTypes: {
        color: {
            description: 'defines the color for the completed progress',
        },
        height: {
            description: 'height of the bar',
        },
        value: {
            description: 'value of the progress done',
        },
        backgroundColor: {
            description: 'color of incomplete progress',
        },
    },
} as MetaStory;

export const ProgressBar: Story = {
    args: {
        color: 'primary',
        backgroundColor: '#19dbdb',
        value: undefined,
        height: '10px',
        body: <span>{'% Complete'}</span>,
    },
};
