import { styled, ColorUtils } from '@nuskin/foundation-theme';
import { LinearProgress } from '@mui/material';
import CheckCircleIcon from '@mui/icons-material/CheckCircle';
import { NsProgressProps } from './types';

const { color } = ColorUtils;
export const StyledCheckCircle = styled(CheckCircleIcon)`
    color: ${color('neutral', '50')};
    padding-top: 0.6em;
    padding-right: 0.5em;
    justify-self: flex-end;
`;

export const PercentDiv = styled('div')`
    color: ${color('primary', '100')};
    display: flex;
    justify-content: flex-end;
    font-family: Inter;
    font-size: 12px;
    font-style: normal;
    font-weight: 700;
    text-transform: uppercase;
`;

export const StyledLinearProgress = styled(LinearProgress)<Omit<NsProgressProps, 'value'>>(
    ({ height, backgroundColor, color }) => ({
        width: '334px',
        height,
        backgroundColor,
        borderRadius: '3px',
        display: 'inline-block',

        '.MuiLinearProgress-bar': {
            backgroundColor: color,
        },
    })
);

export default StyledLinearProgress;
