import React from 'react';

import { NsProgressProps } from './types';
import StyledLinearProgress, { PercentDiv, StyledCheckCircle } from './NsProgress.styled';

const NsProgress = (props: NsProgressProps) => {
    const { color, backgroundColor, height, value, body } = props;
    return (
        <>
            <PercentDiv>
                {value}
                {body}
            </PercentDiv>
            <StyledLinearProgress
                variant="determinate"
                role="progressbar"
                color={color}
                value={value}
                height={height}
                backgroundColor={backgroundColor}
            />
            <StyledCheckCircle />
        </>
    );
};

export default NsProgress;
